[DRE-commits] [rails] 05/08: Merge autopkgtests from rails-3.2
Ondrej Sury
ondrej at moszumanska.debian.org
Tue Jul 22 18:24:21 UTC 2014
This is an automated email from the git hooks/post-receive script.
ondrej pushed a commit to branch master
in repository rails.
commit f424599b205f2239f44c3f91f55b37e69809ee92
Author: Ondřej Surý <ondrej at sury.org>
Date: Tue Jul 22 19:35:53 2014 +0200
Merge autopkgtests from rails-3.2
---
debian/control | 1 +
debian/tests/control | 3 +++
debian/tests/newapp | 22 ++++++++++++++++++++++
3 files changed, 26 insertions(+)
diff --git a/debian/control b/debian/control
index b32f136..d22a1f0 100644
--- a/debian/control
+++ b/debian/control
@@ -12,6 +12,7 @@ Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rails.git
Vcs-Browser: http://anonscm.debian.org/git/?p=pkg-ruby-extras/rails.git;a=summary
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all
+XS-Testsuite: autopkgtest
Package: ruby-activesupport
Architecture: all
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..a94f0f5
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: newapp
+Depends: ruby-rails-3.2, ruby-jquery-rails, ruby-coffee-rails, ruby-sqlite3, ruby-sass-rails, ruby-uglifier
+Restrictions: allow-stderr
diff --git a/debian/tests/newapp b/debian/tests/newapp
new file mode 100755
index 0000000..6839c31
--- /dev/null
+++ b/debian/tests/newapp
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -ex
+
+exec 2>&1
+
+ruby -v
+gem list
+
+cd $ADTTMP
+
+rails new foo
+cd foo
+
+# Does the empty app boots? This should catch dependency problems with gemspecs
+rails runner 'puts "Empty Rails %s app booted correctly" % Rails.version'
+
+# quick smoke test
+rails generate scaffold Product title
+rake db:migrate
+rake test
+
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/rails.git
More information about the Pkg-ruby-extras-commits
mailing list